﻿using Syncfusion.UI.Xaml.Charts;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=402352&clcid=0x409

namespace test1
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class MainPage : Page
    {
        private SfChart chart = new SfChart();
        private FastLineSeries fastlineSeries = new FastLineSeries();

        public MainPage()
        {
            this.InitializeComponent();
        }

        private void button_Click(object sender, RoutedEventArgs e)
        {
            TextAnnotation textAnnotation = new TextAnnotation();
            textAnnotation.CoordinateUnit = CoordinateUnit.Axis;
            textAnnotation.X1 = 0.5;
            textAnnotation.Y1 = 0.5;
            textAnnotation.Text = "symbol";
            textAnnotation.FontSize = 16;
            chart.Annotations.Add(textAnnotation);

        }

        private void Page_Loaded(object sender, RoutedEventArgs e)
        {
            NumericalAxis xAxis = new NumericalAxis();
            NumericalAxis yAxis = new NumericalAxis();
            this.fastlineSeries.XAxis = xAxis;
            this.fastlineSeries.YAxis = yAxis;
            this.chart.Series.Add(this.fastlineSeries);
            this.chartGrid.Children.Add(chart);
        }
    }
}
